/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: Greeting.java,v 1.4 2000/04/08 01:04:21 pmahar Exp $
 */

package org.enhydra.kelp.sample.presentation;

import org.enhydra.kelp.sample.KelpSample;
import org.enhydra.xml.xmlc.XMLCUtil;
import org.w3c.dom.*;
import org.w3c.dom.html.*;
import com.lutris.appserver.server.httpPresentation.*;

/**
 * <p>
 * This presentation object dynamically creates an HTML page
 * showing the greeting from the application configuration file.
 * </p>
 */
public class Greeting implements HttpPresentation {
  private GreetingHTML page = null;
  private HttpPresentationComms comms;

 /**
   * Process the Catalog page to see what the shopper wants
   * to do with the selected product. From this page they
   * can register and for each product they can get information,
   * download, or purchase.
   *
   * @param comms
   *   HTTP communications object.
   * @exception Exception
   *   Any exception may be thrown.
   */
  public void run(HttpPresentationComms c)
        throws HttpPresentationException {
    comms = c;
    page = createPage();
    comms.response.writeHTML(page.toDocument());
  }

  public GreetingHTML createPage()  {
    page = new GreetingHTML();
    fixupGreeting();
    return page;
  }

  private void fixupGreeting() {
    HTMLElement element = page.getElementSpanGreeting();
    KelpSample app = (KelpSample) comms.application;
    XMLCUtil.getFirstText(element).setData(app.getGreeting());
  }


}


