/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: NewNode.java,v 1.4 2000/04/08 01:04:21 pmahar Exp $
 */

package org.enhydra.kelp.sample.presentation;

import org.enhydra.kelp.sample.KelpSample;

import org.enhydra.xml.xmlc.XMLCUtil;
import org.enhydra.xml.xmlc.html.HTMLObject;
import org.w3c.dom.*;
import org.w3c.dom.html.*;
//import org.openxml.parser.HTMLParser;


import com.lutris.appserver.server.httpPresentation.*;

import java.io.*;

/**
 * <p>
 * This presentation object dynamically creates an HTML page
 * showing the greeting from the application configuration file.
 * </p>
 */
public class NewNode implements HttpPresentation {
  private NewNodeHTML page = null;
  private HttpPresentationComms comms;

 /**
   * Process the Catalog page to see what the shopper wants
   * to do with the selected product. From this page they
   * can register and for each product they can get information,
   * download, or purchase.
   *
   * @param comms
   *   HTTP communications object.
   * @exception Exception
   *   Any exception may be thrown.
   */
  public void run(HttpPresentationComms c)
        throws HttpPresentationException {
    comms = c;
    page = createPage();
    comms.response.writeHTML(page.toDocument());
  }

  public NewNodeHTML createPage()  {
    page = new NewNodeHTML();
    fixupSpan();
    return page;
  }

  private void fixupSpan() {
    HTMLElement element  = page.getElementSpanInsertHere();
    String      fromFile = readFile();
    Node        newNode  = page.createCDATASection(fromFile);
    element.getParentNode().replaceChild(newNode, element);
  }

  private String readFile() {
    FileInputStream      fileStream = null;
    InputStreamReader    inReader   = null;
    BufferedReader       buffer     = null;
    ByteArrayInputStream byteIn     = null;

    StringBuffer buf = new StringBuffer();
    String inLine  = null;

    try {
      KelpSample app  = (KelpSample) comms.application;
      String        textFilename = null;
      textFilename = app.getAppRoot() + File.separator +
         "text" + File.separator + "addme.txt";
      fileStream = new FileInputStream(new File(textFilename));
      inReader   = new InputStreamReader(fileStream);
      buffer     = new BufferedReader(inReader);
      inLine = new String();
      while (inLine != null) {
        inLine = buffer.readLine();
        if (inLine != null) {
          buf.append(inLine);
        }
      }
      buffer.close();
      inReader.close();
      fileStream.close();
    } catch (java.io.IOException e) {
    }
    return buf.toString();
  }


}


