
/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: Enhydra3AppUtil.java,v 1.2 2000/05/18 07:12:14 pmahar Exp $
 */
package org.enhydra.kelp.common.wizard.codegen;

// Kelp imports
import org.enhydra.kelp.common.swing.ExtensionFilter;
import org.enhydra.kelp.common.wizard.conf.ConfBuildThread;
import org.enhydra.kelp.common.node.Mapper;
import org.enhydra.kelp.common.node.OtterConfTemplateNode;
import org.enhydra.kelp.common.node.OtterNode;
import org.enhydra.kelp.common.node.OtterProject;
import org.enhydra.kelp.common.node.OtterFolderNode;
import org.enhydra.kelp.common.node.OtterHTMLFileNode;
import org.enhydra.kelp.common.node.OtterJavaFileNode;
import org.enhydra.kelp.common.node.OtterTextFileNode;
import org.enhydra.kelp.common.node.OtterNodeFactory;

// CodeGen imports
import org.enhydra.codegen.CodeGen;
import org.enhydra.codegen.Generator;
import org.enhydra.codegen.DefaultOptionSet;
import org.enhydra.codegen.OptionSet;
import org.enhydra.codegen.GeneratorException;
import org.enhydra.codegen.TemplateDrivenGenerator;
import org.enhydra.codegen.wizard.CodeGenDialog;
import org.enhydra.codegen.wizard.CodeGenPanel;
import org.enhydra.codegen.wizard.DefaultOptionPanel3;
import org.enhydra.codegen.en3app.Enhydra3AppGenerator;

// Standard imports
import java.awt.Component;
import java.io.File;
import java.io.FilenameFilter;
import java.util.Vector;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class Enhydra3AppUtil extends CodeGenUtil {

    public Enhydra3AppUtil(OtterProject project) throws CodeGenException {
      super(project, new Enhydra3AppGenerator());
    }

    public static Generator getGenerator() {
      return new Enhydra3AppGenerator();
    }

    public static String getCommandName() {
        String commandName = "en3app";

        if (CodeGenUtil.isCodeGenAvailable()) {
            commandName = Enhydra3AppGenerator.COMMAND_NAME;
        }
        return commandName;
    }
    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public static String getDisplayName() {
        String displayName = "Enhydra 3 Application";

        if (CodeGenUtil.isCodeGenAvailable()) {
            displayName = Enhydra3AppGenerator.DISPLAY_NAME;
        }
        return displayName;
    }


}
