/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: XMLCWizard.java,v 1.4 2000/06/02 08:32:35 pmahar Exp $
 */
package org.enhydra.kelp.jbuilder.wizard.xmlc;

// Kelp imports
import org.enhydra.kelp.jbuilder.wizard.AbstractBasicWizard;
import org.enhydra.kelp.jbuilder.node.PrimeProject;
import org.enhydra.kelp.common.swing.SwingUtil;
import org.enhydra.kelp.common.swing.IconSet;
import org.enhydra.kelp.common.wizard.xmlc.XMLCBuildDialog;
import org.enhydra.kelp.common.node.OtterHTMLFileNode;
import org.enhydra.kelp.common.node.OtterXMLCNode;
import org.enhydra.kelp.common.node.OtterWMLFileNode;

// JB Foundation imports
import com.borland.jbuilder.node.JBProject;
import com.borland.jbuilder.node.HTMLFileNode;
import com.borland.primetime.ide.Browser;
import com.borland.primetime.ide.BrowserListener;
import com.borland.primetime.ide.NodeViewer;
import com.borland.primetime.node.Node;
import com.borland.primetime.node.TextFileNode;
import com.borland.primetime.node.Project;
import com.borland.primetime.wizard.Wizard;
import com.borland.primetime.wizard.WizardAction;
import com.borland.primetime.wizard.WizardHost;
import com.borland.primetime.wizard.WizardManager;
import com.borland.primetime.wizard.WizardPage;
import com.borland.primetime.util.VetoException;
import com.borland.primetime.vfs.InvalidUrlException;

// Standard imports
import javax.swing.JOptionPane;
import java.io.File;
import java.util.Vector;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class XMLCWizard extends AbstractBasicWizard {
    public static WizardAction action = new XMLCWizardAction();

    /**
     * Method declaration
     *
     *
     * @param majorVersion
     * @param minorVersion
     *
     * @see
     */
    public static void initOpenTool(byte majorVersion, byte minorVersion) {
        WizardManager.registerWizardAction(action);
        Browser.addStaticBrowserListener(browserListener);
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public static String getName() {
        return "XMLC Compiler";
    }

    /**
     * Class declaration
     *
     *
     * @author
     * @version %I%, %G%
     */
    static class XMLCWizardAction extends WizardAction {

        /**
         * Constructor declaration
         *
         *
         * @see
         */
        public XMLCWizardAction() {
            super(getName() + "...", 'X',
                  "Compile HTML and WML files to DOM classes with XMLC",
                  IconSet.getSmallIcon(), IconSet.getLargeIcon(), false);
        }

        /**
         * Method declaration
         *
         *
         * @return
         *
         * @see
         */
        protected Wizard createWizard() {
            return new XMLCWizard();
        }

        /**
         * Method declaration
         *
         *
         * @param source
         *
         * @see
         */
        public void update(Object source) {
            setEnabled(AbstractBasicWizard.enableMenu);
        }

    }
    ;

    /**
     * Method declaration
     *
     *
     * @param host
     *
     * @see
     */
    public synchronized void invoke(WizardHost host) {
        PrimeProject        primeProject = null;
        XMLCBuildDialog     dlg = null;

        setNativeProject((JBProject) host.getBrowser().getProjectView().getActiveProject());
        if (getNativeProject() != null) {
            try {
                getNativeProject().save();
            } catch (InvalidUrlException e) {
                e.printStackTrace();
            } catch (java.io.IOException e) {
                e.printStackTrace();
            }
            primeProject = new PrimeProject(getNativeProject());
        }
        if (isEnhydraAvailable(primeProject.getClassPath())) {
            dlg = new XMLCBuildDialog(host.getDialogParent(), getName(),
                                      true);
            dlg.setProject(primeProject);
            dlg.show();
        }
    }

}
