/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: OracleJavaFileNode.java,v 1.1 2000/05/12 07:42:16 pmahar Exp $
 */

package org.enhydra.kelp.jdeveloper.node;

import org.enhydra.kelp.common.node.OtterJavaFileNode;
import org.enhydra.kelp.common.node.OtterNode;
import org.enhydra.kelp.common.node.OtterProject;
import borland.jbuilder.addin.Node;
import borland.jbuilder.addin.Project;
import borland.jbuilder.addin.Url;
import borland.jbuilder.addin.Container;
import java.io.File;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class OracleJavaFileNode extends OracleNode implements OtterJavaFileNode {

    /**
     * Constructor declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @see
     */
    public OracleJavaFileNode(OtterProject otterProject, OtterNode otterNode,
			   String file) {
	Node      nativeNode = null;
	Project   nativeProject = null;
	Container container = null;
	Url       url = null;

	if (otterProject.getNativeProject() instanceof Project) {
	    nativeProject = (Project) otterProject.getNativeProject();
	}

	if (otterNode.getNativeNode() instanceof Container) {
	    container = (Container) otterNode.getNativeNode();
	}

	// Unable to add to a Folder at this time so allways
	// add to the project.
	if (nativeProject != null && container != null) {
	    url = new Url(Url.LATTE_JAVA_SCHEME + file);
	    nativeNode = nativeProject.createNode(url, true);

	    nativeProject.addNode(nativeNode);
	    setNativeNode(nativeNode);
	}
    }

}
