/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: OracleNode.java,v 1.1 2000/05/12 07:42:16 pmahar Exp $
 */


package org.enhydra.kelp.jdeveloper.node;

import org.enhydra.kelp.common.node.OtterNode;
import org.enhydra.kelp.common.node.OtterProject;
import borland.jbuilder.addin.Url;
import borland.jbuilder.addin.Node;
import java.io.File;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class OracleNode implements OtterNode {
    private Node nativeNode = null;

    /**
     * Constructor declaration
     *
     *
     * @see
     */
    public OracleNode() {}

    /**
     * Constructor declaration
     *
     *
     * @param n
     *
     * @see
     */
    public OracleNode(Node n) {
	nativeNode = n;
    }

    /**
     * Method declaration
     *
     *
     * @param n
     *
     * @see
     */
    public void setNativeNode(Object n) {
	nativeNode = (Node) n;
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public Object getNativeNode() {
	return nativeNode;
    }

    public OtterProject getProject() {
      return (new OracleProject(nativeNode.getProject()));
    }

    public String getXMLCOptionFilename() {
      return getProperty(XMLC_OPTION_FILENAME);
    }

    public void setXMLCOptionFilename(String n) {
      setProperty(XMLC_OPTION_FILENAME, n);
    }

    public String getXMLCParameters() {
      return getProperty(OtterNode.XMLC_PARAMETERS);
    }

    public void setXMLCParameters(String p) {
      setProperty(OtterNode.XMLC_PARAMETERS, p);
    }



    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public char getFileSeparatorChar() {
	return File.separatorChar;
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public String getFilePath() {
	String out = null;

	out = nativeNode.getFilename();

	return out;
    }

    /**
     * Method declaration
     *
     *
     * @param property
     *
     * @return
     *
     * @see
     */
    public String getProperty(String property) {
	String out = null;

        String fileName = getFilePath();
        int hash = fileName.hashCode();
        out = nativeNode.getProject().getProperty(property + "[" + hash + "]");

	return out;
    }

    /**
     * Set a property through the project using a hashcode of
     * the filename. The setProperty on the node is not
     * implemented in JDeveloper.
     *
     * @param property
     * @param value
     *
     * @see
     */
    public void setProperty(String property, String value) {
        String fileName = getFilePath();
        int hash = fileName.hashCode();
        nativeNode.getProject().setProperty(property + "[" + hash + "]", value);
    }

    public void setProperty(String property, int i) {
        String value = Integer.toString(i);
	setProperty(property, value);
    }


}
